# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_with bootstrap

%if %with bootstrap
%define build_javadoc        0
%else
%define build_javadoc        1
%endif

%define _with_gcj_support 0
%define gcj_support 0

%define with_manifest_only 0

%define ant_home %{_datadir}/ant
%define section  free

%define major_version 1.7
%define cvs_version 1.7.1

Name:           ant
Version:        1.7.1
Release:        %mkrel 7.0.6
Epoch:          0
Summary:        Ant build tool for java
Summary(it):    Tool per la compilazione di programmi java
Summary(fr):    Outil de compilation pour java
License:        ASL 2.0
URL:            http://ant.apache.org/
Group:          Development/Java
Source0:        http://www.apache.org/dist/ant/source/apache-ant-%{cvs_version}-src.tar.bz2
Source2:        apache-ant-%{major_version}.ant.conf
Source1:        http://repo1.maven.org/maven2/org/apache/ant/ant/1.7.1/ant-1.7.1.pom
Source3:        http://repo1.maven.org/maven2/org/apache/ant/ant-launcher/1.7.1/ant-launcher-1.7.1.pom
Source4:        http://repo1.maven.org/maven2/org/apache/ant/ant-netrexx/1.7.1/ant-netrexx-1.7.1.pom
Source5:        http://repo1.maven.org/maven2/org/apache/ant/ant-starteam/1.7.1/ant-starteam-1.7.1.pom
Source6:        http://repo1.maven.org/maven2/org/apache/ant/ant-stylebook/1.7.1/ant-stylebook-1.7.1.pom
Source7:        http://repo1.maven.org/maven2/org/apache/ant/ant-weblogic/1.7.1/ant-weblogic-1.7.1.pom
Source8:        http://repo1.maven.org/maven2/org/apache/ant/ant-antlr/1.7.1/ant-antlr-1.7.1.pom
Source9:        http://repo1.maven.org/maven2/org/apache/ant/ant-apache-bsf/1.7.1/ant-apache-bsf-1.7.1.pom
Source10:       http://repo1.maven.org/maven2/org/apache/ant/ant-apache-resolver/1.7.1/ant-apache-resolver-1.7.1.pom
Source11:       http://repo1.maven.org/maven2/org/apache/ant/ant-commons-logging/1.7.1/ant-commons-logging-1.7.1.pom
Source12:       http://repo1.maven.org/maven2/org/apache/ant/ant-commons-net/1.7.1/ant-commons-net-1.7.1.pom
#Source13:       http://repo1.maven.org/maven2/org/apache/ant/ant-jai/1.7.1/ant-jai-1.7.1.pom
Source14:       http://repo1.maven.org/maven2/org/apache/ant/ant-apache-bcel/1.7.1/ant-apache-bcel-1.7.1.pom
Source15:       http://repo1.maven.org/maven2/org/apache/ant/ant-apache-log4j/1.7.1/ant-apache-log4j-1.7.1.pom
Source16:       http://repo1.maven.org/maven2/org/apache/ant/ant-apache-oro/1.7.1/ant-apache-oro-1.7.1.pom
Source17:       http://repo1.maven.org/maven2/org/apache/ant/ant-apache-regexp/1.7.1/ant-apache-regexp-1.7.1.pom
Source18:       http://repo1.maven.org/maven2/org/apache/ant/ant-javamail/1.7.1/ant-javamail-1.7.1.pom
Source19:       http://repo1.maven.org/maven2/org/apache/ant/ant-jdepend/1.7.1/ant-jdepend-1.7.1.pom
Source20:       http://repo1.maven.org/maven2/org/apache/ant/ant-jmf/1.7.1/ant-jmf-1.7.1.pom
Source21:       http://repo1.maven.org/maven2/org/apache/ant/ant-jsch/1.7.1/ant-jsch-1.7.1.pom
Source22:       http://repo1.maven.org/maven2/org/apache/ant/ant-junit/1.7.1/ant-junit-1.7.1.pom
Source23:       http://repo1.maven.org/maven2/org/apache/ant/ant-nodeps/1.7.1/ant-nodeps-1.7.1.pom
Source24:       http://repo1.maven.org/maven2/org/apache/ant/ant-swing/1.7.1/ant-swing-1.7.1.pom
Source25:       http://repo1.maven.org/maven2/org/apache/ant/ant-trax/1.7.1/ant-trax-1.7.1.pom
Source26:       http://repo1.maven.org/maven2/org/apache/ant/ant-parent/1.7.1/ant-parent-1.7.1.pom

# Fix some places where copies of classes are included in the wrong jarfiles
Patch0:         apache-ant-jars.patch
Patch1:         apache-ant-bz163689.patch
Patch2:         apache-ant-gnu-classpath.patch
Patch3:         apache-ant-no-test-jar.patch

BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-rpmbuild
%if %without bootstrap
BuildRequires:  ant
BuildRequires:  junit
%endif

Requires:       jpackage-utils >= 0:1.7.5
Requires:       java-devel >= 0:1.6.0
%if %without bootstrap
%endif

%if ! %{gcj_support}
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes:	ant-optional < %{epoch}:%{version}-%{release}
Provides:       ant-optional = %{epoch}:%{version}-%{release}
Obsoletes:      ant-optional-full < %{epoch}:%{version}-%{release}
Provides:       ant-optional-full = %{epoch}:%{version}-%{release}
# Allow subpackages not in RHEL to be installed from JPackage
Provides:	%{name} = %{epoch}:%{version}-%{release}
# RHUG
Obsoletes:	ant-devel < %{epoch}:%{version}-%{release}
Provides:       ant-devel = %{epoch}:%{version}-%{release}
# Mandriva
Conflicts:      j2sdk-ant
# RHEL3 and FC2
Obsoletes:      %{name}-libs < %{epoch}:%{version}-%{release}
Provides:       %{name}-libs = %{epoch}:%{version}-%{release}
Obsoletes:      %{name}-core < %{epoch}:%{version}-%{release}
Provides:       %{name}-core = %{epoch}:%{version}-%{release}
%if %{gcj_support}
BuildRequires:		java-gcj-compat-devel
%endif

Requires(post):   jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5

%description
Ant is a platform-independent build tool for java. It's used by apache
jakarta and xml projects.

%description -l fr
Ant est un outil de compilation multi-plateformes pour java. Il est
utilisé par les projets apache-jakarta et apache-xml.

%description -l it
Ant e' un tool indipendente dalla piattaforma creato per faciltare la
compilazione di programmi java.
Allo stato attuale viene utilizzato dai progetti apache jakarta ed
apache xml.

%package jmf
Summary:        Optional jmf tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Provides:       ant-jmf = %{epoch}:%{version}-%{release}

%description jmf
Optional jmf tasks for %{name}.

%description jmf -l fr
Taches jmf optionelles pour %{name}.

%package nodeps
Summary:        Optional tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Provides:       ant-nodeps = %{epoch}:%{version}-%{release}

%description nodeps
Optional tasks for %{name}.

%description nodeps -l fr
Taches optionelles pour %{name}.

%package swing
Summary:        Optional swing tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Provides:       ant-swing = %{epoch}:%{version}-%{release}

%description swing
Optional swing tasks for %{name}.

%description swing -l fr
Taches swing optionelles pour %{name}.

%package trax
Summary:        Optional trax tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       java >= 0:1.6
Provides:       ant-trax = %{epoch}:%{version}-%{release}
# The ant-xalan jar has been merged into the ant-trax one
Obsoletes:	ant-xalan2 < %{epoch}:%{version}-%{release}
Provides:       ant-xalan2 = %{epoch}:%{version}-%{release}

%description trax
Optional trax tasks for %{name}.

%description trax -l fr
Taches trax optionelles pour %{name}.

%if %without bootstrap
%if %{with_manifest_only}
%package manifest-only
Summary:        Manifest-only jars for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Provides:       %{name}-icontract = %{epoch}:%{version}-%{release}
Provides:       %{name}-netrexx = %{epoch}:%{version}-%{release}
Provides:       %{name}-starteam = %{epoch}:%{version}-%{release}
Provides:       %{name}-stylebook = %{epoch}:%{version}-%{release}
Provides:       %{name}-vaj = %{epoch}:%{version}-%{release}
Provides:       %{name}-weblogic = %{epoch}:%{version}-%{release}
Provides:       %{name}-xalan1 = %{epoch}:%{version}-%{release}
Provides:       %{name}-xslp = %{epoch}:%{version}-%{release}

%description  manifest-only
Manifest-only jars for %{name}.
%endif

%package antlr
Summary:        Optional antlr tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       antlr
BuildRequires:  antlr
Provides:       ant-antlr = %{epoch}:%{version}-%{release}

%description antlr
Optional antlr tasks for %{name}.

%description antlr -l fr
Taches antlr optionelles pour %{name}.

%package apache-bsf
Summary:        Optional apache bsf tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       bsf
BuildRequires:  bsf
Provides:       ant-apache-bsf = %{epoch}:%{version}-%{release}

%description apache-bsf
Optional apache bsf tasks for %{name}.

%description apache-bsf -l fr
Taches apache bsf optionelles pour %{name}.

%package apache-resolver
Summary:        Optional apache resolver tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       xml-commons-resolver12
BuildRequires:  xml-commons-resolver12
Provides:       ant-apache-resolver = %{epoch}:%{version}-%{release}

%description apache-resolver
Optional apache resolver tasks for %{name}.

%description apache-resolver -l fr
Taches apache resolver optionelles pour %{name}.

%package commons-logging
Summary:        Optional commons logging tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jakarta-commons-logging
BuildRequires:  jakarta-commons-logging
Provides:       ant-commons-logging = %{epoch}:%{version}-%{release}

%description commons-logging
Optional commons logging tasks for %{name}.

%description commons-logging -l fr
Taches commons logging optionelles pour %{name}.

%package commons-net
Summary:        Optional commons net tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jakarta-commons-net
BuildRequires:  jakarta-commons-net
Provides:       ant-commons-net = %{epoch}:%{version}-%{release}

%description commons-net
Optional commons net tasks for %{name}.

%description commons-net -l fr
Taches commons net optionelles pour %{name}.

# Disable because we don't ship the dependencies
%if 0
%package jai
Summary:        Optional jai tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jai
BuildRequires:  jai
Provides:       ant-jai = %{epoch}:%{version}-%{release}

%description jai
Optional jai tasks for %{name}.

%description jai -l fr
Taches jai optionelles pour %{name}.
%endif

%package apache-bcel
Summary:        Optional apache bcel tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       bcel
BuildRequires:  bcel
Provides:       ant-apache-bcel = %{epoch}:%{version}-%{release}
Provides:       ant-jakarta-bcel = %{epoch}:%{version}-%{release}
Obsoletes:	ant-jakarta-bcel < %{epoch}:%{version}-%{release}

%description apache-bcel
Optional apache bcel tasks for %{name}.

%description apache-bcel -l fr
Taches apache bcel optionelles pour %{name}.

%package apache-log4j
Summary:        Optional apache log4j tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       log4j
BuildRequires:  log4j
Provides:       ant-apache-log4j = %{epoch}:%{version}-%{release}
Provides:       ant-jakarta-log4j = %{epoch}:%{version}-%{release}
Obsoletes:	ant-jakarta-log4j < %{epoch}:%{version}-%{release}

%description apache-log4j
Optional apache log4j tasks for %{name}.

%description apache-log4j -l fr
Taches apache log4j optionelles pour %{name}.

%package apache-oro
Summary:        Optional apache oro tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       oro
BuildRequires:  oro
Provides:       ant-apache-oro = %{epoch}:%{version}-%{release}
Provides:       ant-jakarta-oro = %{epoch}:%{version}-%{release}
Obsoletes:	ant-jakarta-oro < %{epoch}:%{version}-%{release}

%description apache-oro
Optional apache oro tasks for %{name}.

%description apache-oro -l fr
Taches apache oro optionelles pour %{name}.

%package apache-regexp
Summary:        Optional apache regexp tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       regexp
BuildRequires:  regexp
Provides:       ant-apache-regexp = %{epoch}:%{version}-%{release}
Provides:       ant-jakarta-regexp = %{epoch}:%{version}-%{release}
Obsoletes:	ant-jakarta-regexp < %{epoch}:%{version}-%{release}

%description apache-regexp
Optional apache regexp tasks for %{name}.

%description apache-regexp -l fr
Taches apache regexp optionelles pour %{name}.

%package javamail
Summary:        Optional javamail tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       javamail >= 0:1.2-5jpp
Requires:       jaf >= 0:1.0.1-5jpp
BuildRequires:  javamail >= 0:1.2-5jpp
BuildRequires:  jaf >= 0:1.0.1-5jpp
Provides:       ant-javamail = %{epoch}:%{version}-%{release}

%description javamail
Optional javamail tasks for %{name}.

%description javamail -l fr
Taches javamail optionelles pour %{name}.

%package jdepend
Summary:        Optional jdepend tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jdepend
BuildRequires:  jdepend
Provides:       ant-jdepend = %{epoch}:%{version}-%{release}

%description jdepend
Optional jdepend tasks for %{name}.

%description jdepend -l fr
Taches jdepend optionelles pour %{name}.

%package jsch
Summary:        Optional jsch tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jsch
BuildRequires:  jsch
Provides:       ant-jsch = %{epoch}:%{version}-%{release}

%description jsch
Optional jsch tasks for %{name}.

%description jsch -l fr
Taches jsch optionelles pour %{name}.

%package junit
Summary:        Optional junit tasks for %{name}
Group:          Development/Java
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       junit
Provides:       ant-junit = %{epoch}:%{version}-%{release}

%description junit
Optional junit tasks for %{name}.

%description junit -l fr
Taches junit optionelles pour %{name}.

%package scripts
Summary:        Additional scripts for %{name}
Group:          Development/Java
AutoReqProv:    no
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{_bindir}/perl
Requires:       %{_bindir}/python

%description scripts
Additional Perl and Python scripts for %{name}.

%description scripts -l fr
Scripts additionels pour %{name}.

%package manual
Summary:        Manual for %{name}
Group:          Development/Java

%description manual
Documentation for %{name}.

%description manual -l it
Documentazione di %{name}.

%description manual -l fr
Documentation pour %{name}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
Javadoc for %{name}.

%description javadoc -l fr
Javadoc pour %{name}.
%endif

# -----------------------------------------------------------------------------

%prep
%setup -q -n apache-ant-%{cvs_version}

# Fix some places where copies of classes are included in the wrong jarfiles
%patch0 -p1

# Disable the style and xmlvalidate tasks on ppc64 and s390x (#163689).
%ifarch ppc64 s390x
%patch1 -p1
%endif

# Update ant to work with recent versions of GNU Classpath
%patch2 -p1

# When bootstrapping, we don't have junit
%patch3 -p1

# clean jar files
find . -name "*.jar" | %{_bindir}/xargs -t rm

# -----------------------------------------------------------------------------

%build
export OPT_JAR_LIST=:
%if %without bootstrap
export CLASSPATH=$(build-classpath antlr bcel jaf javamail/mailapi jdepend junit log4j oro regexp bsf commons-logging commons-net jsch xml-commons-resolver12)
%{ant} jars
%if %{build_javadoc}
%{ant} javadocs
%endif
%else
export JAVA_HOME=%{java_home}
export CLASSPATH=$JAVA_HOME/lib/tools.jar
sh ./build.sh --noconfig jars
%endif

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# ANT_HOME and subdirs
mkdir -p $RPM_BUILD_ROOT%{ant_home}/{lib,etc}

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 build/lib/ant.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 build/lib/ant-bootstrap.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-bootstrap-%{version}.jar
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap org.apache.ant %{name} %{version} JPP %{name}
install -m 644 build/lib/ant-launcher.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-launcher-%{version}.jar
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-launcher.pom
%add_to_maven_depmap org.apache.ant %{name}-launcher %{version} JPP %{name}-launcher

install -m 644 build/lib/ant-jmf.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jmf-%{version}.jar
install -m 644 %{SOURCE20} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-jmf.pom
%add_to_maven_depmap org.apache.ant %{name}-jmf %{version} JPP/%{name} %{name}-jmf
install -m 644 build/lib/ant-nodeps.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-nodeps-%{version}.jar
install -m 644 %{SOURCE23} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-nodeps.pom
%add_to_maven_depmap org.apache.ant %{name}-nodeps %{version} JPP/%{name} %{name}-nodeps
install -m 644 build/lib/ant-swing.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-swing-%{version}.jar
install -m 644 %{SOURCE24} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-swing.pom
%add_to_maven_depmap org.apache.ant %{name}-swing %{version} JPP/%{name} %{name}-swing
install -m 644 build/lib/ant-trax.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-trax-%{version}.jar
install -m 644 %{SOURCE25} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-trax.pom
%add_to_maven_depmap org.apache.ant %{name}-trax %{version} JPP/%{name} %{name}-trax

# optional jars
%if %without bootstrap
%if %{with_manifest_only}
install -m 644 build/lib/ant-icontract.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-icontract-%{version}.jar
install -m 644 build/lib/ant-netrexx.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-netrexx-%{version}.jar
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-netrexx.pom
%add_to_maven_depmap org.apache.ant %{name}-netrexx %{version} JPP/%{name} %{name}-netrexx
install -m 644 build/lib/ant-starteam.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-starteam-%{version}.jar
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-starteam.pom
%add_to_maven_depmap org.apache.ant %{name}-starteam %{version} JPP/%{name} %{name}-starteam
install -m 644 build/lib/ant-stylebook.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-stylebook-%{version}.jar
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-stylebook.pom
%add_to_maven_depmap org.apache.ant %{name}-stylebook %{version} JPP/%{name} %{name}-stylebook
install -m 644 build/lib/ant-vaj.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-vaj-%{version}.jar
install -m 644 build/lib/ant-weblogic.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-weblogic-%{version}.jar
install -m 644 %{SOURCE7} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-weblogic.pom
%add_to_maven_depmap org.apache.ant %{name}-weblogic %{version} JPP/%{name} %{name}-weblogic
install -m 644 build/lib/ant-xalan1.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-xalan1-%{version}.jar
install -m 644 build/lib/ant-xslp.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-xslp-%{version}.jar
%endif
install -m 644 build/lib/ant-antlr.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-antlr-%{version}.jar
install -m 644 %{SOURCE8} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-antlr.pom
%add_to_maven_depmap org.apache.ant %{name}-antlr %{version} JPP/%{name} %{name}-antlr
install -m 644 build/lib/ant-apache-bsf.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-apache-bsf-%{version}.jar
install -m 644 %{SOURCE9} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-apache-bsf.pom
%add_to_maven_depmap org.apache.ant %{name}-apache-bsf %{version} JPP/%{name} %{name}-apache-bsf
install -m 644 build/lib/ant-apache-resolver.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-apache-resolver-%{version}.jar
install -m 644 %{SOURCE10} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-apache-resolver.pom
%add_to_maven_depmap org.apache.ant %{name}-apache-resolver %{version} JPP/%{name} %{name}-apache-resolver
install -m 644 build/lib/ant-commons-logging.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-commons-logging-%{version}.jar
install -m 644 %{SOURCE11} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-commons-logging.pom
%add_to_maven_depmap org.apache.ant %{name}-commons-logging %{version} JPP/%{name} %{name}-commons-logging
install -m 644 build/lib/ant-commons-net.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-commons-net-%{version}.jar
install -m 644 %{SOURCE12} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-commons-net.pom
%add_to_maven_depmap org.apache.ant %{name}-commons-net %{version} JPP/%{name} %{name}-commons-net
#install -m 644 build/lib/ant-jai.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jai-%{version}.jar
#install -m 644 %{SOURCE13} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-jai.pom
#%add_to_maven_depmap org.apache.ant %{name}-jai %{version} JPP/%{name} %{name}-jai
install -m 644 build/lib/ant-apache-bcel.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-apache-bcel-%{version}.jar
install -m 644 %{SOURCE14} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-apache-bcel.pom
%add_to_maven_depmap org.apache.ant %{name}-apache-bcel %{version} JPP/%{name} %{name}-apache-bcel
install -m 644 build/lib/ant-apache-log4j.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-apache-log4j-%{version}.jar
install -m 644 %{SOURCE15} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-apache-log4j.pom
%add_to_maven_depmap org.apache.ant %{name}-apache-log4j %{version} JPP/%{name} %{name}-apache-log4j
install -m 644 build/lib/ant-apache-oro.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-apache-oro-%{version}.jar
install -m 644 %{SOURCE16} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-apache-oro.pom
%add_to_maven_depmap org.apache.ant %{name}-apache-oro %{version} JPP/%{name} %{name}-apache-oro
install -m 644 build/lib/ant-apache-regexp.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-apache-regexp-%{version}.jar
install -m 644 %{SOURCE17} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-apache-regexp.pom
%add_to_maven_depmap org.apache.ant %{name}-apache-regexp %{version} JPP/%{name} %{name}-apache-regexp
ln -sf %{name}-apache-bcel.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jakarta-bcel.jar
ln -sf %{name}-apache-log4j.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jakarta-log4j.jar
ln -sf %{name}-apache-oro.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jakarta-oro.jar
ln -sf %{name}-apache-regexp.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jakarta-regexp.jar
install -m 644 build/lib/ant-javamail.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-javamail-%{version}.jar
install -m 644 %{SOURCE18} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-javamail.pom
%add_to_maven_depmap org.apache.ant %{name}-javamail %{version} JPP/%{name} %{name}-javamail
install -m 644 build/lib/ant-jdepend.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jdepend-%{version}.jar
install -m 644 %{SOURCE19} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-jdepend.pom
%add_to_maven_depmap org.apache.ant %{name}-jdepend %{version} JPP/%{name} %{name}-jdepend
install -m 644 build/lib/ant-jsch.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jsch-%{version}.jar
install -m 644 %{SOURCE21} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-jsch.pom
%add_to_maven_depmap org.apache.ant %{name}-jsch %{version} JPP/%{name} %{name}-jsch
install -m 644 build/lib/ant-junit.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-junit-%{version}.jar
install -m 644 %{SOURCE22} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-%{name}-junit.pom
%add_to_maven_depmap org.apache.ant %{name}-junit %{version} JPP/%{name} %{name}-junit
install -m 644 %{SOURCE26} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-parent.pom
%add_to_maven_depmap org.apache.ant %{name}-parent %{version} JPP %{name}-parent
%endif

# jar aliases
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# scripts: remove dos and os/2 scripts
rm -f src/script/*.bat
rm -f src/script/*.cmd

# XSLs
cp -p src/etc/*.xsl $RPM_BUILD_ROOT%{ant_home}/etc

# install everything else
mkdir -p $RPM_BUILD_ROOT%{_bindir}
%if %without bootstrap
cp -p src/script/* $RPM_BUILD_ROOT%{_bindir}
%else
cp -p src/script/ant{,Run} $RPM_BUILD_ROOT%{_bindir}
%endif

# default ant.conf
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf

# OPT_JAR_LIST fragments
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d
echo "ant/ant-jmf" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/jmf
echo "ant/ant-nodeps" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/nodeps
echo "ant/ant-swing" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/swing
echo "jaxp_transform_impl ant/ant-trax xalan-j2-serializer" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/trax
%if %without bootstrap
echo "antlr ant/ant-antlr" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/antlr
echo "bsf ant/ant-apache-bsf" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-bsf
echo "xml-commons-resolver12 ant/ant-apache-resolver" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-resolver
echo "jakarta-commons-logging ant/ant-commons-logging" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/commons-logging
echo "jakarta-commons-net ant/ant-commons-net" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/commons-net
#echo "jai ant/ant-jai" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/jai
echo "bcel ant/ant-apache-bcel" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-bcel
echo "log4j ant/ant-apache-log4j" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-log4j
echo "oro ant/ant-apache-oro" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-oro
echo "regexp ant/ant-apache-regexp" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-regexp
echo "javamail jaf ant/ant-javamail" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/javamail
echo "jdepend ant/ant-jdepend" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/jdepend
echo "jsch ant/ant-jsch" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/jsch
echo "junit ant/ant-junit" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/junit
%endif

%if %{build_javadoc}
# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
%endif

# fix link between manual and javadoc
(cd docs/manual; ln -sf %{_javadocdir}/%{name}-%{version} api)

%if %with bootstrap
find $RPM_BUILD_ROOT%{_datadir}/ant/etc -type f -name "*.xsl" \
                                                 -a ! -name ant-update.xsl \
                                                 -a ! -name changelog.xsl \
                                                 -a ! -name coverage-frames.xsl \
                                                 -a ! -name junit-frames-xalan1.xsl \
                                                 -a ! -name log.xsl \
                                                 -a ! -name mmetrics-frames.xsl \
                                                 -a ! -name tagdiff.xsl \
                                                 | xargs -t rm
%endif

# -----------------------------------------------------------------------------

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%post
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post jmf
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun jmf
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post nodeps
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun nodeps
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post swing
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun swing
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post trax
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun trax
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %without bootstrap
%if %{gcj_support}
%post commons-net
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun commons-net
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

# We do not ship dependencies for these, so they are disabled.
%if 0
%if %{gcj_support}
%post jai
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun jai
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif
%endif

%if %{gcj_support}
%post antlr
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun antlr
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post apache-bcel
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun apache-bcel
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post apache-log4j
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun apache-log4j
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post apache-regexp
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun apache-regexp
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post apache-resolver
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun apache-resolver
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post junit
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun junit
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post apache-oro
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun apache-oro
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post javamail
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun javamail
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post commons-logging
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun commons-logging
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post jdepend
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun jdepend
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post jsch
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun jsch
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post apache-bsf
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun apache-bsf
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif
%endif

%files
%defattr(0644,root,root,0755)
%doc KEYS LICENSE NOTICE README WHATSNEW
%config(noreplace) %{_sysconfdir}/%{name}.conf
%attr(0755,root,root) %{_bindir}/ant
%attr(0755,root,root) %{_bindir}/antRun
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}-launcher.jar
%{_javadir}/%{name}-launcher-%{version}.jar
%{_javadir}/%{name}-bootstrap.jar
%{_javadir}/%{name}-bootstrap-%{version}.jar
%dir %{_javadir}/%{name}
%dir %{ant_home}
%dir %{ant_home}/etc
%{ant_home}/etc/ant-update.xsl
%{ant_home}/etc/changelog.xsl
%{ant_home}/etc/log.xsl
%{ant_home}/etc/tagdiff.xsl
%{ant_home}/etc/junit-frames-xalan1.xsl
%if %without bootstrap
%{ant_home}/etc/common2master.xsl
%endif
%dir %{ant_home}/lib
%dir %{_sysconfdir}/%{name}.d
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/ant-%{version}.jar.*
%attr(-,root,root) %{_libdir}/gcj/%{name}/ant-launcher-%{version}.jar.*
%endif

%files jmf
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-jmf.jar
%{_javadir}/%{name}/%{name}-jmf-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/jmf
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/ant-jmf-%{version}.jar.*
%endif

%files nodeps
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-nodeps.jar
%{_javadir}/%{name}/%{name}-nodeps-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/nodeps
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/ant-nodeps-%{version}.jar.*
%endif

%files swing
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-swing.jar
%{_javadir}/%{name}/%{name}-swing-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/swing
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/ant-swing-%{version}.jar.*
%endif

%files trax
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-trax.jar
%{_javadir}/%{name}/%{name}-trax-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/trax
%{ant_home}/etc/mmetrics-frames.xsl
%{ant_home}/etc/coverage-frames.xsl
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/ant-trax-%{version}.jar.*
%endif

%if %without bootstrap
%if %{with_manifest_only}
%files manifest-only
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/ant-icontract-%{version}.jar
%{_javadir}/%{name}/ant-icontract.jar
%{_javadir}/%{name}/ant-netrexx-%{version}.jar
%{_javadir}/%{name}/ant-netrexx.jar
%{_javadir}/%{name}/ant-starteam-%{version}.jar
%{_javadir}/%{name}/ant-starteam.jar
%{_javadir}/%{name}/ant-stylebook-%{version}.jar
%{_javadir}/%{name}/ant-stylebook.jar
%{_javadir}/%{name}/ant-vaj-%{version}.jar
%{_javadir}/%{name}/ant-vaj.jar
%{_javadir}/%{name}/ant-weblogic-%{version}.jar
%{_javadir}/%{name}/ant-weblogic.jar
%{_javadir}/%{name}/ant-xalan1-%{version}.jar
%{_javadir}/%{name}/ant-xalan1.jar
%{_javadir}/%{name}/ant-xslp-%{version}.jar
%{_javadir}/%{name}/ant-xslp.jar
%endif

%files antlr
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-antlr.jar
%{_javadir}/%{name}/%{name}-antlr-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/antlr
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/ant-antlr-%{version}.jar.*
%endif

%files apache-bsf
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-apache-bsf.jar
%{_javadir}/%{name}/%{name}-apache-bsf-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-bsf
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/ant-apache-bsf-%{version}.jar.*
%endif

%files apache-resolver
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-apache-resolver.jar
%{_javadir}/%{name}/%{name}-apache-resolver-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-resolver
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/ant-apache-resolver-%{version}.jar.*
%endif

%files commons-logging
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-commons-logging.jar
%{_javadir}/%{name}/%{name}-commons-logging-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/commons-logging
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/ant-commons-logging-%{version}.jar.*
%endif

%files commons-net
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-commons-net.jar
%{_javadir}/%{name}/%{name}-commons-net-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/commons-net
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/ant-commons-net-%{version}.jar.*
%endif

# Disable as we dont ship the dependencies
%if 0
%files jai
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-jai.jar
%{_javadir}/%{name}/%{name}-jai-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/jai
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/ant-jai-%{version}.jar.*
%endif
%endif

%files apache-bcel
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-apache-bcel.jar
%{_javadir}/%{name}/%{name}-apache-bcel-%{version}.jar
%{_javadir}/%{name}/%{name}-jakarta-bcel.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-bcel
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/ant-apache-bcel-%{version}.jar.*
%endif

%files apache-log4j
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-apache-log4j.jar
%{_javadir}/%{name}/%{name}-apache-log4j-%{version}.jar
%{_javadir}/%{name}/%{name}-jakarta-log4j.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-log4j
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/ant-apache-log4j-%{version}.jar.*
%endif

%files apache-oro
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-apache-oro.jar
%{_javadir}/%{name}/%{name}-apache-oro-%{version}.jar
%{_javadir}/%{name}/%{name}-jakarta-oro.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-oro
%{ant_home}/etc/maudit-frames.xsl
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/ant-apache-oro-%{version}.jar.*
%endif

%files apache-regexp
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-apache-regexp.jar
%{_javadir}/%{name}/%{name}-apache-regexp-%{version}.jar
%{_javadir}/%{name}/%{name}-jakarta-regexp.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-regexp
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/ant-apache-regexp-%{version}.jar.*
%endif

%files javamail
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-javamail.jar
%{_javadir}/%{name}/%{name}-javamail-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/javamail
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/ant-javamail-%{version}.jar.*
%endif

%files jdepend
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-jdepend.jar
%{_javadir}/%{name}/%{name}-jdepend-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/jdepend
%{ant_home}/etc/jdepend.xsl
%{ant_home}/etc/jdepend-frames.xsl
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/ant-jdepend-%{version}.jar.*
%endif

%files jsch
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-jsch.jar
%{_javadir}/%{name}/%{name}-jsch-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/jsch
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/ant-jsch-%{version}.jar.*
%endif

%files junit
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/%{name}-junit.jar
%{_javadir}/%{name}/%{name}-junit-%{version}.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/junit
%{ant_home}/etc/junit-frames.xsl
%{ant_home}/etc/junit-noframes.xsl
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/ant-junit-%{version}.jar.*
%endif

%files scripts
%defattr(0755,root,root,0755)
%{_bindir}/*.pl
%{_bindir}/*.py*

%files manual
%defattr(0644,root,root,0755)
%doc docs/*

%if %{build_javadoc}
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%endif
%endif

# -----------------------------------------------------------------------------



%changelog
* Mon Nov 29 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.7.1-7.0.6mdv2011.0
+ Revision: 603178
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.7.1-7.0.5mdv2010.1
+ Revision: 521939
- rebuilt for 2010.1

* Tue Aug 18 2009 Jaroslav Tulach <jtulach@mandriva.org> 0:1.7.1-7.0.4mdv2010.0
+ Revision: 417736
- Simplifying dependencies. Requiring java 1.6 and removing special dependencies on various XML tools as they are part of java 1.6 already

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0:1.7.1-7.0.3mdv2010.0
+ Revision: 413027
- rebuild

* Sun Jan 11 2009 Jérôme Soyer <saispo@mandriva.org> 0:1.7.1-7.0.2mdv2009.1
+ Revision: 328397
- Rebuild with new python

* Sun Aug 03 2008 David Walluck <walluck@mandriva.org> 0:1.7.1-7.0.1mdv2009.0
+ Revision: 261724
- BuildRequires: java-rpmbuild
- 1.7.1

* Thu Jan 10 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.7.0-3.3.12mdv2008.1
+ Revision: 147620
- full build

* Thu Jan 10 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.7.0-3.3.11mdv2008.1
+ Revision: 147571
- bump release
- require xerces-j2 when not bootsrapped

* Thu Jan 10 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.7.0-3.3.10mdv2008.1
+ Revision: 147569
- bump release
- xerces-j2 is needed when not bootstrapping

  + David Walluck <walluck@mandriva.org>
    - explicitly require geronimo for jaf and javamail

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0:1.7.0-3.3.8mdv2008.1
+ Revision: 120826
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Wed Dec 12 2007 David Walluck <walluck@mandriva.org> 0:1.7.0-3.3.7mdv2008.1
+ Revision: 119006
- add apache-ant-jars.patch

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:1.7.0-3.3.6mdv2008.0
+ Revision: 87188
- rebuild to filter out autorequires on GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Fri Sep 14 2007 David Walluck <walluck@mandriva.org> 0:1.7.0-3.3.5mdv2008.0
+ Revision: 85587
- remove Conflicts and instead just Provide/Obsolete them

* Fri Sep 14 2007 David Walluck <walluck@mandriva.org> 0:1.7.0-3.3.4mdv2008.0
+ Revision: 85487
- remove jpprelease
- Provides all Obsoletes
- version Provides and Obsoletes

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 0:1.7.0-3.3.3mdv2008.0
+ Revision: 70143
- kill file require on perl-base

* Wed Jul 18 2007 Anssi Hannula <anssi@mandriva.org> 0:1.7.0-3.3.2mdv2008.0
+ Revision: 53179
- use xml-commons-jaxp-1.3-apis and xml-commons-resolver12 explicitely
  instead of the generic xml-commons-apis and xml-commons-resolver which
  are provided by multiple packages (see bug #31473)

* Sun Jul 08 2007 David Walluck <walluck@mandriva.org> 0:1.7.0-3.3.1mdv2008.0
+ Revision: 49926
- fix java-devel (Build)Requires with gcj_support enabled
- force xerces-j2 requirement
- set OPT_JAR_LIST=: during build

* Fri Jul 06 2007 David Walluck <walluck@mandriva.org> 0:1.7.0-3.3mdv2008.0
+ Revision: 48856
- fix native2ascii task under GNU java

* Tue Jul 03 2007 Anssi Hannula <anssi@mandriva.org> 0:1.7.0-3.2mdv2008.0
+ Revision: 47572
- rebuild with new libgcj


* Thu Mar 08 2007 David Walluck <walluck@mandriva.org> 1.7.0-3.1mdv2007.1
+ Revision: 138123
- remove unused patch

* Sat Dec 30 2006 David Walluck <walluck@mandriva.org> 0:1.7.0-3mdv2007.1
+ Revision: 102757
- require xml-commons-resolver12 instead of xml-commons-resolver
- disable bootstrap

* Sat Dec 30 2006 David Walluck <walluck@mandriva.org> 0:1.7.0-1mdv2007.1
+ Revision: 102726
- fix bootstrap build
- enable bootstrap
- 1.7.0
- Import ant

* Wed Aug 09 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-21mdv2007.0
- BuildRequires: ant if not bootstrap

* Fri Aug 04 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-20mdv2007.0
- use bcond for bootstrap

* Fri Jul 14 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-19mdv2007.0
- set CLASSPATH= for bootstrap

* Fri Jul 14 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-18mdv2007.0
- use Conflicts instead of Obsoletes

* Thu May 25 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-17mdv2007.0
- use %%{clean_gcj} also
- add missing %%{clean_gcj} entries
- add option to turn off javadoc generation
- add xalan-j2-serializer to %%{_sysconfdir}/ant.d/ant-trax

* Sat Mar 04 2006 Giuseppe Ghib <ghibo@mandriva.com>  0:1.6.5-16mdk
- Use %%update_gcjdb

* Sun Jan 15 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-15mdk
- BuildRequires: java-devel

* Fri Jan 13 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-14mdk
- (Build)Requires: xml-commons-apis

* Wed Dec 07 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-13mdk
- call aot-compile-rpm without path

* Tue Nov 29 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-12mdk
- fix aot-compile-rpm location

* Fri Nov 11 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-11mdk
- BuildRequires: ant if not bootstrap
- fix ant-jai file
- fix commons-net post scripts

* Sun Nov 06 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-10mdk
- apply Red Hat patch for javah task

* Fri Oct 28 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-9mdk
- enable rpm_mode in ant script instead of ant.conf

* Wed Oct 26 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-8mdk
- set rpm_mode=true by default in ant.conf

* Mon Sep 12 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-7mdk
- create a javah task from the kaffeh task

* Fri Sep 09 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-6mdk
- fix bootstrap

* Fri Sep 09 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-5mdk
- add gcj native libs

* Thu Sep 08 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-4mdk
- obsoletes/provides ant-bootstrap

* Wed Aug 17 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-3mdk
- add %%mkrel
- fix bootstrap

* Wed Aug 17 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-2mdk
- add Conflicts: j2sdk-ant

* Mon Aug 15 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-1mdk
- 1.6.5

* Tue May 24 2005 David Walluck <walluck@mandriva.org> 0:1.6.2-3.3mdk
- add support for jai
- add manifest-only jars

* Fri May 13 2005 David Walluck <walluck@mandriva.org> 0:1.6.2-3.2mdk
- rebuild as non-bootstrap
- add support for bsf and commons-net

* Sun May 08 2005 David Walluck <walluck@mandriva.org> 0:1.6.2-3.1mdk
- release

* Sat Apr 09 2005 Andrew Overholt <overholt@redhat.com> 1.6.2-3jpp_4fc
- Back out ant-apache-javac-ecj.patch and ant.orig changes as they stop eclipse
  from building.

* Wed Mar 30 2005 Gary Benson <gbenson at redhat.com> 0:1.6.2-3jpp_3fc
- Add NOTICE file as per Apache License version 2.0.
- Remove some now unnecessary gcj workarounds.
- Add the jsch subpackage since we now ship jsch.

* Thu Jan 20 2005 Gary Benson <gbenson at redhat.com> 0:1.6.2-3jpp_2fc
- Use jdtcore.jar instead of ecj.jar when running under libgcj.

* Wed Jan 12 2005 Gary Benson <gbenson at redhat.com> 0:1.6.2-3jpp_1fc
- Upgrade to latest version.

* Wed Jan 12 2005 Gary Benson <gbenson at redhat.com> 0:1.6.1-1jpp_7fc
- Explicitly require java-devel to make beehive play nice.

* Mon Nov 08 2004 Gary Benson <gbenson at redhat.com> - 0:1.6.2-3jpp
- Build OPT_JAR_LIST from files in /etc/ant.d.

* Thu Nov 04 2004 Gary Benson <gbenson at redhat.com> 0:1.6.1-1jpp_6fc
- Build into Fedora.

* Mon Nov 01 2004 Gary Benson <gbenson at redhat.com> 0:1.6.1-1jpp_5fc
- Explicitly require xerces-j2 to make beehive play nice.

* Mon Nov 01 2004 Gary Benson <gbenson at redhat.com> 0:1.6.1-1jpp_4fc
- Bootstrap into Fedora.

* Tue Sep 07 2004 Fernando Nasser <fnasser at redhat.com> - 0:1.6.2-2jpp
- Fix to backward compatibility symbolic links.

* Wed Aug 18 2004 Fernando Nasser <fnasser at redhat.com> - 0:1.6.2-1jpp
- Update to Ant 1.6.2

* Fri Aug 06 2004 Fernando Nasser <fnasser at redhat.com> - 0:1.6.1-2jpp
- Remove incorrect noreplace option for ant.conf; it can't be used anymore
  because the sub-packages update that file.
- Add patch to fix temp directory used for file containing large
  command strings (> 4k)

* Wed Jun 02 2004 Randy Watler <rwatler at finali.com> - 0:1.6.1-1jpp
- Extend subpackage builds to update ant.conf

* Tue Mar 23 2004 Randy Watler <rwatler at finali.com> - 0:1.6.1-1jpp
- Update to Ant 1.6.1
- Change ant launch script to source instead of patch
- Move optional components to ant subdirectory: %%{_javadir}/%%{name}
- Remove os/2 scripts and set JAVA_HOME for build

